Skip to main content

List interfaces in a fleet in NetApp Console local deployment

GET /organizations/{organization_id}/fleets/{fleet_id}/networkinterfaces

Lists all interfaces in the specified fleet.

Parameters

Name Type In Required Description

organization_id

string

path

True

Identifier for an organization.

fleet_id

string

path

True

Identifier for a fleet.

count

string

query

False

Indicates if the total number of resources should be returned in the response object.

URL examples: "count=true"

OpenAPI examples: "true"

filter

string

query

False

Specifies which fields should be matched in order to return a resource when listing a collection.

Supported operators:

  • eq - Equality

  • lt/gt - Less than/greater than

  • lte/gte - Less than or equal to/greater than or equal to

URL example: "filter=field%20eq%20%27value%27"

OpenAPI examples: "field eq 'value'"

include

string

query

False

Specifies which fields should be returned when listing a collection.

URL examples: "include=id", "include=id,name"

OpenAPI examples: "id"

limit

string

query

False

Specifies the maximum number of resources to return when listing a collection.

URL examples: "limit=2"

OpenAPI examples: "2"

metadata

string

query

False

Indicates if the metadata should be returned in the response object.

URL examples: "metadata=true"

OpenAPI examples: "true"

orderBy

string

query

False

Indicates the sort order of resources when listing a collection.

URL examples: "orderBy=name", "orderBy=name%20desc"

OpenAPI examples: "name desc"

skip

string

query

False

Specifies the number of resources to skip when listing a collection.

URL examples: "skip=1"

OpenAPI examples: "1"

Response

Status: 200, OK
Name Type Required Description

count

integer

False

Total number of resources in the collection that match the query.

items

array[networkinterface_1.0_get_response_body]

True

Network interfaces in the collection.

Example response
{
  "count": 2,
  "items": [
    {
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "id": "7b3c4d5e-6789-0abc-def1-234567890abc",
      "location": {
        "homeNode": {
          "id": "5e57a329-1137-42d1-adb8-00361552c2d6",
          "name": "node-01"
        },
        "homePort": {
          "id": "8c9d0e1f-2a3b-4c5d-6e7f-8a9b0c1d2e3f",
          "name": "e0a"
        },
        "node": {
          "id": "5e57a329-1137-42d1-adb8-00361552c2d6",
          "name": "node-01"
        },
        "port": {
          "id": "8c9d0e1f-2a3b-4c5d-6e7f-8a9b0c1d2e3f",
          "name": "e0a"
        }
      },
      "metadata": {
        "modificationTimestamp": "2022-10-06T20:58:16.305662Z"
      },
      "metrics": {
        "iops": {
          "total": 1250.5
        },
        "latency": {
          "average": 80.25
        },
        "throughput": {
          "total": 104857600
        }
      },
      "name": "lif-data-01",
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "protocols": [
        "nfs",
        "cifs"
      ],
      "role": "DATA",
      "svm": {
        "id": "d1ddc65d-f7a2-4ca7-9847-5afd069a3dbe",
        "name": "svm-01"
      },
      "type": "application/vnd.netapp.bxp.networkinterface",
      "version": "1.0",
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    },
    {
      "cluster": {
        "id": "4c8d2919-ac4c-4ea7-bf7c-24863d4da94b",
        "name": "cluster-01"
      },
      "id": "9d0e1f2a-3b4c-5d6e-7f8a-9b0c1d2e3f4a",
      "location": {
        "homeNode": {
          "id": "5e57a329-1137-42d1-adb8-00361552c2d6",
          "name": "node-01"
        },
        "homePort": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "name": "0c"
        },
        "node": {
          "id": "5e57a329-1137-42d1-adb8-00361552c2d6",
          "name": "node-01"
        },
        "port": {
          "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
          "name": "0c"
        }
      },
      "metadata": {
        "modificationTimestamp": "2022-10-06T21:15:42.108234Z"
      },
      "metrics": {
        "iops": {
          "total": 3200
        },
        "latency": {
          "average": 45.5
        },
        "throughput": {
          "total": 209715200
        }
      },
      "name": "lif-fc-01",
      "organizationId": "16c07c0c-666b-4870-9363-764eef9e7160",
      "protocols": [
        "fcp"
      ],
      "role": "DATA",
      "svm": {
        "id": "d1ddc65d-f7a2-4ca7-9847-5afd069a3dbe",
        "name": "svm-01"
      },
      "type": "application/vnd.netapp.bxp.networkinterface",
      "version": "1.0",
      "workingEnvironmentId": "OnPremWorkingEnvironment-KxESQhek"
    }
  ]
}

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Definitions

See Definitions

cluster_1.0_reference

Reference to an ONTAP cluster.

Name Type Required Description

id

string

False

Identifier of the cluster.

name

string

False

Cluster name.

node_1.0_reference

Reference to an ONTAP node.

Name Type Required Description

id

string

False

Identifier of the node.

name

string

False

Node name.

homePort

Reference to the home network port.

Name Type Required Description

id

string

False

Identifier of the home port.

name

string

False

Home port name.

port

Reference to a network port.

Name Type Required Description

id

string

False

Identifier of the port.

name

string

False

Port name.

networkinterface_1.0_location

Current and home location of the interface.

Name Type Required Description

homeNode

node_1.0_reference

False

Reference to an ONTAP node.

  • x-tag: Node

homePort

homePort

False

Reference to the home network port.

node

node_1.0_reference

False

Reference to an ONTAP node.

  • x-tag: Node

port

port

False

Reference to a network port.

common_1.0_inventory_metadata

Metadata associated with the resource.

Name Type Required Description

modificationTimestamp

string

False

Resource modification date.

iops

IOPS metrics for the network interface.

Name Type Required Description

total

number

False

The rate of I/O operations observed at the storage object.

latency

Latency metrics for the network interface.

Name Type Required Description

average

number

False

The average round trip latency observed at the storage object, in microseconds.

throughput

Throughput metrics for the network interface.

Name Type Required Description

total

number

False

The rate of throughput observed at the storage object, in bytes per second.

networkinterface_1.0_metrics

Name Type Required Description

iops

iops

False

IOPS metrics for the network interface.

latency

latency

False

Latency metrics for the network interface.

throughput

throughput

False

Throughput metrics for the network interface.

svm_1.0_reference

Reference to an ONTAP SVM.

Name Type Required Description

id

string

False

Identifier of the SVM.

name

string

False

SVM name.

networkinterface_1.0_get_response_body

Name Type Required Description

cluster

cluster_1.0_reference

False

Reference to an ONTAP cluster.

  • x-tag: Cluster

id

string

False

Identifier of the interface.

location

networkinterface_1.0_location

False

Current and home location of the interface.

metadata

common_1.0_inventory_metadata

False

Metadata associated with the resource.

metrics

networkinterface_1.0_metrics

False

name

string

False

Interface name.

organizationId

string

False

Identifier for an organization.

protocols

array[string]

False

List of data protocols served by the interface.

role

string

False

The role of the interface. Defined values are:

  • "CLUSTER" - Cluster-scoped interface.

  • "CLUSTER_MGMT" - Cluster management interface.

  • "DATA" - Data interface serving NFS, CIFS, iSCSI, FCP, NVMe, or S3 traffic.

  • "DCN" - Data compute network interface.

  • "INTERCLUSTER" - Used for cross-cluster communication.

  • "NODE_MGMT" - Node management interface.

svm

svm_1.0_reference

False

Reference to an ONTAP SVM.

  • x-tag: SVM

type

string

False

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.networkinterface"

version

string

False

Version of the resource. Defined values are:

  • "1.0"

workingEnvironmentId

string

False

Identifier for the asset's system.

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.